<!DOCTYPE html>
<html>
<head>
	<title>Lesson 1</title>
</head>
<body>
	<script>
		function xyz () {
			x = 6; y = 14; z = 4;
        	document.write("x = " + x + "; y = " + y + "; z = " + z + "<br>");
		}
		var x, y, z;

		//x += y - x++ * z
        document.write("<h3>x += y - x++ * z</h3><br>");
		xyz();
        document.write("x = (x + (y - (x * z))) оператор ++ не влияет на результат, он увеличивает переменную х которая в последнем вычислением перезапишится<br>");
        x += y - x++ * z;
        document.write("После расчетов: </br>x = " + x + "<br>");
        
		//z = --x - y * 5;
        document.write("<h3>z = --x - y * 5</h3><br>");
        xyz();
        document.write("z = (--x) - (y * 5)<br>");
        z = --x - y * 5
        document.write("После расчетов: </br>z = " + z + "; x = " + x + "<br>");
        
        //y /= x + 5 % z;
        document.write("<h3>y /= x + 5 % z</h3><br>");
        xyz();
        document.write("y = y / (x + (5 % z))<br>");
        y /= x + 5 % z
        document.write("После расчетов: </br>y = " + y + "<br>");

        //z - x++ + y * 5;
        document.write("<h3>z - x++ + y * 5</h3><br>");
        xyz();
        document.write("(z - x) + (y * 5), x = x + 1 поскольку результат расчетов никуда не записывается то значение меняется только у х<br>");
        z - x++ + y * 5
        document.write("После расчетов: </br>x = " + x + "; y = " + y + "; z = " + z + "<br>");

        //x = y - x++ * z;
        document.write("<h3>x = y - x++ * z</h3><br>");
        xyz();
        document.write("x = (y - (x * z))) оператор ++ не влияет на результат, он увеличивает переменную х которая в последнем вычислением перезапишится<br>");
        x = y - x++ * z
        document.write("После расчетов: </br>x = " + x + "; y = " + y + "; z = " + z + "<br>");
	</script>
</body>
</html>